---
title: "Get Object"
url: https://docs.catalyst.zoho.com/en/sdk/android/v2/cloud-scale/stratus/get-object/
description: "This page lists the Android SDK method to get an object or objects from the bucket."
last_updated: 2026-09-08T11:07:33Z
service: Cloud Scale
type: general
related_links:
- name: "Stratus Component Help Documentation"
url: /en/cloud-scale/help/stratus/introduction
- name: "Java SDK"
url: /en/sdk/java/v1/cloud-scale/stratus/get-objects/
- name: "JavaScript SDK Documentation"
url: /en/sdk/javascript/v1/overview/
- name: "Python SDK"
url: /en/sdk/python/v1/cloud-scale/stratus/get-objects/
- name: "iOS SDK"
url: /en/sdk/ios/v2/cloud-scale/stratus/get-object/
- name: "Flutter SDK"
url: /en/sdk/flutter/v2/cloud-scale/stratus/get-object/
- name: "REST API"
url: /en/api/code-reference/cloud-scale/stratus/get-all-objects/#GetAllObjects
---
# Get Object
This SDK method can be used to get an object from the bucket. The response will be in **blob** format.
When [Versioning](https://docs.catalyst.zoho.com/en/cloud-scale/help/stratus/stratus-config/general-settings/#versioning) is enabled for the bucket:
* If you do not pass the `versionId`, then only the **latest object** will be returned.
* To retrieve a specific version, use the `versionId` query parameter with a valid version as a value.
**Parameters Used**
| Parameter Name |
Definition |
| `name` |
A **mandatory** parameter. Will contain the object name. |
| `versionId` |
An **optional** parameter. Will hold the unique version ID of the required object's version. |
```bash
bucketInstance.getObject("{object_name}", "{version_id}",
{
object ->
println("The name of the object is : ${object.name}")
},
{
exception ->
println("Get object failed! $exception")
}
)
```
### Get All Objects
This SDK method can be used to get all the objects present in the bucket using pagination technique.
**Parameters Used**
| Parameter Name |
Data Type |
Definition |
| `prefix` |
**String** |
An **Optional** parameter. This will get the objects that match the prefix value. |
| `max_keys` |
**Number** |
An **Optional** parameter. Will contain the maximum limit of objects that can be listed by pagination. |
| `continuation_token` |
**String** |
An **Optional** parameter. If the response was truncated, the value of this key must be passed as `continuation_token` to the same method for retrieving the next set of objects. |
```bash
bucketInstance.getObjects({max_keys}, {continuation_token}, {prefix},
{
objects ->
for (obj in objects){
println("Object name: ${obj.name}")
}
},
{
exception ->
println("Get objects failed! $exception")
}
)
```